> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pushcash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List transfers

> Retrieves a list of transfers.



## OpenAPI

````yaml /openapi.yaml get /transfer/list
openapi: 3.0.1
info:
  title: Push API
  version: 0.0.1
servers:
  - url: https://api.pushcash.com
    description: Production API
  - url: https://sandbox.pushcash.com
    description: Sandbox API used for developing an integration with Push
security:
  - bearer: []
tags:
  - name: user
  - name: tokenization
  - name: authorization
  - name: intent
  - name: dispute
  - name: refund
  - name: accounts
  - name: transactions
  - name: transfer
paths:
  /transfer/list:
    get:
      tags:
        - transfer
      summary: List transfers
      description: Retrieves a list of transfers.
      operationId: listTransfers
      parameters:
        - in: query
          name: created_at.after
          description: >-
            Return transfers created after this [ISO
            8601](https://en.wikipedia.org/wiki/ISO_8601) timestamp.
          required: false
          schema:
            type: string
            format: date-time
        - in: query
          name: created_at.before
          description: >-
            Return transfers created before this [ISO
            8601](https://en.wikipedia.org/wiki/ISO_8601) timestamp.
          required: false
          schema:
            type: string
            format: date-time
        - in: query
          name: cursor
          description: The cursor for the next page of results to fetch
          required: false
          schema:
            type: string
            example: vjl8vk3l4o8dhsjlzh==
        - in: query
          name: date.after
          description: Return transfers made on or after the specified date
          schema:
            type: string
            format: date
        - in: query
          name: date.before
          description: Return transfers made on or before the specified date
          schema:
            type: string
            format: date
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Transfer'
                  next_cursor:
                    $ref: '#/components/schemas/Cursor'
                required:
                  - data
                  - next_cursor
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
components:
  schemas:
    Transfer:
      type: object
      example:
        id: transfer_xle830ef8djeoiu
        amount: 700284
        currency: USD
        direction: credit
        created_at: '2023-05-24T20:15:18.158Z'
        date: '2023-05-24'
        transactions:
          - id: txn_230vjroij4985uefjoiu9
            amount: -700284
            currency: USD
            created_at: '2023-05-24T20:15:18.158Z'
            date: '2023-05-24'
            batch: null
            account_id: account_WsELzpJOvU6fNafvzWbF6K
            type: transfer
            source_id: transfer_xle830ef8djeoiu
            status: settled
        account:
          id: account_WsELzpJOvU6fNafvzWbF6K
          type: settlement
          name: Settlement Account
          created_at: '2023-05-24T20:15:18.158Z'
      properties:
        id:
          type: string
          description: The unique identifier assigned by Push, prefix is "transfer_"
        amount:
          type: integer
          description: Amount of the transfer
        currency:
          $ref: '#/components/schemas/Currency'
        direction:
          type: string
          description: >
            The direction of the transfer, as indicated by the sign of the
            amount

            - a credit represents a payout to your operational account

            - a debit represents a withdrawal from your operational account
          enum:
            - credit
            - debit
        created_at:
          type: string
          format: date-time
          description: When the transfer was created (ISO 8061 date string)
        date:
          type: string
          format: date
          description: Date of the transfer
        transactions:
          type: array
          items:
            $ref: '#/components/schemas/Transaction'
        account:
          $ref: '#/components/schemas/Account'
      required:
        - id
        - amount
        - currency
        - direction
        - created_at
        - date
        - transactions
        - account
    Cursor:
      type: string
      nullable: true
      description: >
        Use cursor for paginating list endpoints in conjunction with the cursor
        request parameter. 


        In a response, the value is null if there are no more results to fetch.
      example: vjl8vk3l4o8dhsjlzh==
    error:
      description: Description of the error encountered from the API request
      type: object
    Currency:
      type: string
      description: Currency associated with the amount
      enum:
        - USD
    Transaction:
      type: object
      example:
        id: txn_CpiSd1bptYB5P55ysTDHg
        amount: 11000
        direction: credit
        currency: USD
        created_at: '2023-05-24T20:15:18.158Z'
        date: '2023-05-24'
        batch: '39408'
        account_id: account_WsELzpJOvU6fNafvzWbF6K
        type: intent
        source_id: intent_sandbox_dMggQ93ZYH6DH9LBhVeijE
      properties:
        id:
          type: string
          description: The unique identifier assigned by Push
        amount:
          type: integer
          description: Amount of the transaction (signed)
        direction:
          type: string
          description: >-
            The direction of the transaction, as indicated by the sign of the
            amount
          enum:
            - credit
            - debit
        currency:
          $ref: '#/components/schemas/Currency'
        created_at:
          type: string
          format: date-time
          description: When the transaction was created (ISO 8061 date string)
        date:
          type: string
          format: date
          description: The settlement date of the transaction
        batch:
          type: string
          nullable: true
          description: The batch for the transaction
        account_id:
          type: string
          description: The account associated with the transaction
        type:
          $ref: '#/components/schemas/TransactionType'
        source_id:
          type: string
          nullable: true
          description: >-
            The ID of the intent, dispute, or transfer associated with the
            transaction. If the transaction is unreconciled, this field will be
            null
        status:
          $ref: '#/components/schemas/TransactionStatus'
      required:
        - id
        - amount
        - currency
        - created_at
        - date
        - batch
        - account_id
        - type
        - source_id
        - status
    Account:
      type: object
      example:
        id: account_WsELzpJOvU6fNafvzWbF6K
        type: settlement
        name: Settlement Account
        created_at: '2023-05-24T20:15:18.158Z'
      properties:
        id:
          type: string
          description: The unique identifier assigned by Push
        type:
          type: string
          description: The type of account
          enum:
            - settlement
            - dispute
          x-enumDescriptions:
            settlement: >-
              The settlement balance will receive funds from settled intents and
              will be available for withdrawal subject to the Push Cash minimum
              balance requirement.
            dispute: >-
              The dispute balance tracks the sum of all outstanding disputes. If
              you have not received a dispute, the account may not exist.
        name:
          type: string
          description: The name of the account
        created_at:
          type: string
          format: date-time
          description: When the account was created (ISO 8061 date string)
      required:
        - id
        - type
        - name
        - created_at
    TransactionType:
      type: string
      description: The type of transaction
      enum:
        - intent
        - transfer
        - unreconciled
      x-enumDescriptions:
        intent: A transaction associated with an intent
        transfer: A transaction associated with a transfer
        unreconciled: >-
          Movement of funds not associated with any activity on the Push
          platform.
    TransactionStatus:
      type: string
      description: The transaction's settlement status
      enum:
        - settled
        - pending
      x-enumDescriptions:
        settled: The transaction is settled and funds are now available
        pending: The transaction is awaiting settlement
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````